package com.yhy.module.core.service.config;

import com.yhy.module.core.controller.admin.config.vo.ConfigUnitResourceFieldRespVO;
import com.yhy.module.core.controller.admin.config.vo.ConfigUnitResourceFieldSaveReqVO;
import java.util.List;
import javax.validation.Valid;

/**
 * 单位工程界面配置 - 工料机字段 Service
 */
public interface ConfigUnitResourceFieldService {

    Long create(@Valid ConfigUnitResourceFieldSaveReqVO createReqVO);

    void batchCreate(@Valid List<ConfigUnitResourceFieldSaveReqVO> createReqVOs);

    void update(@Valid ConfigUnitResourceFieldSaveReqVO updateReqVO);

    void delete(Long id);

    List<ConfigUnitResourceFieldRespVO> getList(Long catalogItemId);

    void swapSort(Long nodeId1, Long nodeId2);

    /** 供工作台调用：获取隐藏的字段编码列表 */
    List<String> getHiddenFields(Long catalogItemId);
}
